Unsupported ATS & ETS2 version

SCS have released version 1.41 for American Truck Simulator and Euro Truck Simulator 2.

TruckersMP is currently NOT compatible with these updates. In order to play TruckersMP, you will need to downgrade your game to the temporary_1_40 branch.

Check out this article for information on how to downgrade your game.

Event Description

Location Salzburg (Quarry)
Destination Milan (Quarry)
Main Language English
Communication https://discord.gg/3njBea3cET
Link https://instagram.com/goldenphoenixconvoys

Event Information

Event Organizer


Attending (39)

User
Donovannn
3 days ago
User
Lime.
3 days ago
User
SketchyNath
3 days ago
User
DJ98
3 days ago
User
omarmaalem1
3 days ago
User
enoble_yt
3 days ago
User
Vextoh
3 days ago
User
ViccTMP
3 days ago
User
EazyCk3
3 days ago
User
Jonas77
4 days ago
User
Gullbrann
5 days ago
User
Caiius
5 days ago
User
Fox7y
5 days ago
User
Azuly
5 days ago
User
JuanK.
6 days ago
User
[BTR] Syed_Jaber
6 days ago
User
[BGT]-DeYoNN [BG]
6 days ago
User
Emma.x
1 week ago
User
EL KEES
1 week ago
User
DrunknFoxes
1 week ago
User
TFM_Flynn
2 weeks ago
User
Memo.
2 weeks ago
User
Connor97
2 weeks ago
User
@M4rtin
2 weeks ago
User
.Pedro.
2 weeks ago
User
[C-S] Marek1986
1 month ago
User
Declan2021
1 month ago
User
Emma.
1 month ago
User
owen611624
1 month ago
User
[VIVA] Matty
1 month ago
User
Coolieboy
1 month ago
User
tomtom_145
1 month ago
User
Kaby70
1 month ago
User
Inowx[FR]
1 month ago
User
PompeyRoyal
1 month ago
User
RB1988
1 month ago
User
HandOfClash
1 month ago

Unsure (2)

User
Ur_PaL
4 days ago
User
TFM_Kye
1 week ago